- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEffectPassState Class Reference
[COLLADA Effect Classes [ColladaFX]]

This class holds the information necessary to set or apply one render state for a given pass. More...

`#include <FCDEffectPassState.h>`

Inheritance diagram for FCDEffectPassState:

List of all members.

## Public Member Functions
| FCDEffectPassState (FCDocument *document, FUDaePassState::State renderState)
| Constructor.
virtual | ~FCDEffectPassState ()
| Destructor.
FUDaePassState::State | GetType () const
| Retrieves the type of the pass render state.
size_t | GetDataSize () const
| Retrieves the data size of the pass render state.
uint8 * | GetData ()
| Retrieves the data pointer for the pass render state.
const uint8 * | GetData () const
| See above.
void | SetDefaultValue ()
| Use this method to reset the state back to its default value.
FCDEffectPassState * | Clone (FCDEffectPassState *clone=NULL) const
| Clones the effect pass and shaders.

## Detailed Description

This class holds the information necessary to set or apply one render state for a given pass.

To get more information about the render state and how to interpret the data they hold, see the FUDaePassState namespace and its enumerated type.

See also:
  FUDaePassState::State

## Constructor & Destructor Documentation

FCDEffectPassState::FCDEffectPassState | ( | FCDocument * | document,
|  | FUDaePassState::State | renderState
| ) |

  | Constructor. Once built, the render state associated with this object should never change and the data pointer should be allocated to the correct size and never re-allocated. Parameters:
  | document | The COLLADA document that owns this render state.
  | renderState | The render state type.

## Member Function Documentation

FCDEffectPassState* FCDEffectPassState::Clone | ( | FCDEffectPassState * | clone = `NULL` | ) | const

  | Clones the effect pass and shaders. Parameters:
  | clone | The cloned pass. If this pointer is NULL, a new pass is created and you will need to release this new pass.
Returns: The cloned pass.

uint8* FCDEffectPassState::GetData | ( |  | ) | `[inline]`

| Retrieves the data pointer for the pass render state. Returns: The data pointer.

size_t FCDEffectPassState::GetDataSize | ( |  | ) | const`[inline]`

| Retrieves the data size of the pass render state. Returns: The size of the render state data.

FUDaePassState::State FCDEffectPassState::GetType | ( |  | ) | const`[inline]`

| Retrieves the type of the pass render state. Returns: The render state type.

void FCDEffectPassState::SetDefaultValue | ( |  | ) |

| Use this method to reset the state back to its default value. This method is called in the constructor.

The documentation for this class was generated from the following file:

- FCDocument/FCDEffectPassState.h